This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### rect()
Examples |
    rect(30, 20, 55, 55);
    rect(30, 20, 55, 55, 7);
    rect(30, 20, 55, 55, 3, 6, 12, 18);
Description | Draws a rectangle to the screen. A rectangle is a four-sided shape with every angle at ninety degrees. By default, the first two parameters set the location of the upper-left corner, the third sets the width, and the fourth sets the height. The way these parameters are interpreted, however, may be changed with the rectMode() function. To draw a rounded rectangle, add a fifth parameter, which is used as the radius value for all four corners. To use a different radius value for each corner, include eight parameters. When using eight parameters, the latter four set the radius of the arc at each corner separately, starting with the top-left corner and moving clockwise around the rectangle.
Syntax |
    rect(a, b, c, d)
    rect(a, b, c, d, r)
    rect(a, b, c, d, tl, tr, br, bl)
Parameters |
a | float: x-coordinate of the rectangle by default
b | float: y-coordinate of the rectangle by default
c | float: width of the rectangle by default
d | float: height of the rectangle by default
r | float: radii for all four corners
tl | float: radius for top-left corner
tr | float: radius for top-right corner
br | float: radius for bottom-right corner
bl | float: radius for bottom-left corner
Returns | void
Related | rectMode() quad()

Updated on October 26, 2013 08:58:31pm PDT